<template>
    <div class="Content">
        <div class="ContentContainer">
            <div class="HeaderContainer">
                <img class="ContentImg" src="~/assets/images/tomkintzel.jpeg" alt="Profilbild Tom Kintzel"/>
                <h3 class="HeaderTitle">
                    Hi, ich bin Tom Kintzel.
                </h3>
            </div>
            <div class="Description">
                <p>
                    Ich bin Web-Entwickler und arbeite zur Zeit als Werkstudent bei der mindsquare AG in Bielefeld.
                </p>
            </div>
            <div class="Explore">
                <NuxtLink to="/projekte" class="ExploreLink">
                    <button>Meine Projekte</button>
                </NuxtLink>
            </div>
        </div>          
    </div>
</template>

<script>
    export default {
    }
</script>

<style scoped>


.Content {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    position: relative;
    flex-grow: 1;
}

.ContentContainer {
    padding: 0;
    height: auto;
    flex-grow: unset;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.HeaderContainer {
    display: flex;
    align-items: center;
    flex-direction: column;
    color: white;
}

.HeaderContainer h3 {
    color: #fff;
    font-size: 2.6rem;
    font-weight: normal;
    text-align: center;
    padding: 1.5rem 1.5rem 0;
}

.Description {
    display: flex;
    justify-content: center;
    text-align: center;
}

.Explore {
    display: flex;
    justify-content: center;
    margin: 2rem 0 0 0;
}

.ExploreLink {
    width: fit-content;
    margin: .5rem;
    text-decoration: none;
}

.ExploreLink button {
    background-color: #16161a;
    color: white;
    border: 1px solid transparent;
    padding: 1rem 3rem;
}

.ContentImg {
    width: 10rem;
    height: auto;
    border-radius: 50%;
    text-align: center;
}


@media (min-width: 76rem) {
    .Mobile {
        display: none;
    }
}
</style>